Package org.eclipse.rap.rwt.application

# Interface EntryPointFactory

public interface EntryPointFactory
Implementations of this interface can be used to register entrypoints with the framework. It is also possible to register the class that implements `EntryPoint` directly, but using a factory provides more flexibility as it leaves the creation of the class to the application.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`EntryPoint`
`create()`
Creates a new entrypoint instance.

## Method Details

### create

EntryPoint create()
Creates a new entrypoint instance. This method will be called by the framework for every UI session. Implementations must provide a new instance every time this method is called.